"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.17.8_patch_hash_3qirwkgu3wxhvd6hnr2gb24yzq_@mantine_hooks@7.17.8_react@18.3.1_e5yvlgwhmeykc75dkphi7jou6q/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconBookmarkX = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        "path",
        {
          d: "M6.33334 5L9.66667 8.33333M9.66667 5L6.33334 8.33333M12.6667 14V5.2C12.6667 4.0799 12.6667 3.51984 12.4487 3.09202C12.2569 2.71569 11.951 2.40973 11.5747 2.21799C11.1468 2 10.5868 2 9.46667 2H6.53334C5.41323 2 4.85318 2 4.42535 2.21799C4.04903 2.40973 3.74307 2.71569 3.55132 3.09202C3.33334 3.51984 3.33334 4.0799 3.33334 5.2V14L8 11.3333L12.6667 14Z",
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = React.forwardRef(IconBookmarkX);
const BookmarkX = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "BookmarkX", props.className].join(" ")
    }
  );
});
BookmarkX.displayName = "IconBookmarkX";
exports.default = BookmarkX;
